Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2056238 - bluetoothd crashes and becomes non-functional across reboots
Summary: bluetoothd crashes and becomes non-functional across reboots
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez
Version: 35
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Gopal krishna tiwari
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-20 09:51 UTC by mjakeman26
Modified: 2022-04-05 15:27 UTC (History)
5 users (show)

Fixed In Version: bluez-5.64-1.fc35 bluez-5.64-1.fc36 bluez-5.64-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-24 16:15:47 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
The output of running `systemctl status bluetooth`. (deleted)
2022-02-20 09:51 UTC, mjakeman26
no flags Details
Core dump from systemd-coredump (deleted)
2022-02-21 01:05 UTC, mjakeman26
no flags Details
Backtrace from systemd-coredump (deleted)
2022-02-21 01:06 UTC, mjakeman26
no flags Details

Description mjakeman26 2022-02-20 09:51:07 UTC
Created attachment 1862195 [details]
The output of running `systemctl status bluetooth`.

Description of problem:

The bluetoothd daemon crashes on startup causing Bluetooth to be completely non functional persisting across reboots. Please see attachment for a description of the failure as reported by `systemctl status`.

I was able to restore bluetooth behaviour by forcibly deleting the path `/var/lib/bluetooth/C8:34:8E:03:D2:43`.


Version-Release number of selected component (if applicable):

The package name is `bluez-5.63-1.fc35.x86_64`.
Running `bluetoothctl --version` gives me:
bluetoothctl: 5.63


How reproducible:

I have not been able to reproduce this having now resolved the issue.

Actual results:

Bluetooth is completely non-functional in Fedora Silverblue, even after rebooting. This prohibits use of any bluetooth device.


Expected results:

The bluetoothd daemon would recover from the failure upon restarting the service or rebooting the computer. Bluetooth devices would then be usable.


Additional info:

My Fedora Silverblue deployment is as follows:

fedora: fedora/35/x86_64/silverblue
Version: 35.20220216.0 (2022-02-16T00:49:32Z)
Commit: 840226710a32c8d94e88865b5c3db3c4ce7e9bf990852f74e9e7aedcf3061655
GPGSignature: Valid signature by 787EA6AE1147EEE56C40B30CDB4639719867C58F

Comment 1 Peter Robinson 2022-02-20 12:32:38 UTC
Please file a bug using abrt so we get a full backtrace with symbols, without it I can't debug the problem.

Comment 2 mjakeman26 2022-02-21 01:05:44 UTC
Created attachment 1862254 [details]
Core dump from systemd-coredump

Comment 3 mjakeman26 2022-02-21 01:06:55 UTC
Created attachment 1862255 [details]
Backtrace from systemd-coredump

Comment 4 mjakeman26 2022-02-21 01:09:55 UTC
Hi Peter,

Unfortunately abrt is not included on Fedora Silverblue (and I was not able to install it).

I've attached a core dump and backtrace from systemd-coredump. I believe this is roughly equivalent information?

Please let me know if there is other information I can provide.

Comment 5 Fedora Update System 2022-03-21 22:03:13 UTC
FEDORA-2022-bb9b2a715b has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-bb9b2a715b

Comment 6 Fedora Update System 2022-03-21 22:03:16 UTC
FEDORA-2022-f51c0749d8 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-f51c0749d8

Comment 7 Fedora Update System 2022-03-21 22:03:18 UTC
FEDORA-2022-8801569fee has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-8801569fee

Comment 8 Fedora Update System 2022-03-22 04:14:26 UTC
FEDORA-2022-f51c0749d8 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-f51c0749d8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-f51c0749d8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-03-22 04:30:54 UTC
FEDORA-2022-bb9b2a715b has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-bb9b2a715b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-bb9b2a715b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-03-22 17:54:47 UTC
FEDORA-2022-8801569fee has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-8801569fee`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-8801569fee

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-03-24 16:15:47 UTC
FEDORA-2022-f51c0749d8 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-03-29 00:17:03 UTC
FEDORA-2022-8801569fee has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-04-05 15:27:22 UTC
FEDORA-2022-bb9b2a715b has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.